import * as e from "react";
import { toPathOptions as f } from "../utils/treeUtil.mjs";
function c(r, s) {
  return e.useCallback(function(o) {
    var n = [], i = [];
    return o.forEach(function(t) {
      var u = f(t, r, s);
      u.every(function(a) {
        return a.option;
      }) ? i.push(t) : n.push(t);
    }), [i, n];
  }, [r, s]);
}
export {
  c as default
};
